NFSIOD(8)

NAME
nfsiod - local NFS asynchronous I/O server

SYNOPSIS
nfsiod [-n num_servers]

DESCRIPTION
The nfsiod utility controls the maximum number of nfsiod kernel processes which run on an NFS client machine to service asynchronous I/O requests to its server. Having nfsiod kernel processes improves performance but is not required for correct operation.

The option is as follows:

-n  Specify how many processes are permitted to be started.

Without an option, nfsiod displays the current settings. A client should allow enough number of processes to handle its maximum level of concurrency, typically four to six.

If nfsiod detects that the running kernel does not include NFS support, it will attempt to load a kernel module containing NFS code, using kldload(2). If this fails, or no NFS module was available, nfsiod exits with an error.

EXIT STATUS

SEE ALSO
nfsstat(1), kldload(2), nfssvc(2), mountd(8), nfsd(8), rpcbind(8)

HISTORY
The nfsiod utility first appeared in 4.4BSD.

Starting with FreeBSD 5.0, the utility no longer starts daemons, but only serves as a vfs loader and sysctl(3) wrapper.